<?php
/**
* @package	FA Carousel Joomla Module
* @version	1.0.0
* @author	Faddons
* @author url: http://faddons.com
* @author email faddons20@gmail.com
* @Copyright (C) 2020 Faddons. All Rights Reserved.
* @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

$document = JFactory::getDocument();
if ($loadjquery) {
	JHTML::_("jquery.framework", true);
}
$document->addScript(JURI::base(true) . '/modules/mod_fa_carousel/assets/js/jquery.easing-1.3.js');
$document->addScript(JURI::base(true) . '/modules/mod_fa_carousel/assets/js/jquery.easing.compatibility.js');
$document->addScript(JURI::base(true) . '/modules/mod_fa_carousel/assets/js/jquery.mousewheel-3.1.12.js');
$document->addScript(JURI::base(true) . '/modules/mod_fa_carousel/assets/js/jquery.jcarousellite.js');
$document->addStyleDeclaration('
.fa_carousel {
	position: relative;
	max-width:100%;
}
.cr-li-img {
	width:'. $width .'px;
	height:'. $height .'px;
	max-width:100%;
	max-height:100%;
	margin: '. $itemMargin .' '. $itemMargin .' '. $itemMargin .' 0;
	border-width: '. $itemBorderWidth .';
	border-style: solid;
	border-color: '. $itemBorderColor .';
	border-radius: '. $itemBorderRadius .';
	box-sizing: border-box;
}
.fa_carousel .carousel {
    background-color: '. $backgroundColor .';
    float: left;
    position: relative;
    visibility: hidden;
    left: -5000px;
	box-sizing: content-box;
	border-width: '. $borderWidth .';
	border-style: '. $borderStyle .';
	border-color: '. $borderColor .';
	border-radius: '. $borderRadius .';
	padding: '. $paddingBox .';
	box-sizing: border-box;
	max-width:100%;
}
.fa_carousel a.next, .fa_carousel a.prev {
    display: block;
    width: 26px;
    height: 30px;
    line-height: 1;
    background-color: #333333;
    color: ghostwhite;
    text-decoration: none;
    font-family: Arial, sans-serif;
    font-size: 25px;
    float: left;
	text-decoration: none;
	outline: 0;
}
.fa_carousel a.next {
    margin: '. ($height / 2) .'px 0 0 -3px;
    text-indent: 10px;
	border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
}
.fa_carousel a.prev {
    margin: '. ($height / 2) .'px -3px 0 0;
    text-indent: 7px;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;	
}
.clear {
    clear: both;
}
');

$visible 		= (count($items->image) < $visible)? count($items->image) : $visible;
$scroll_item 	= (count($items->image) < $scroll_item)? count($items->image) : $scroll_item;

$document->addScriptDeclaration('
jQuery(document).ready(function($){
	$(".fa_carousel .carousel").jCarouselLite({
		btnNext: ".fa_carousel .next",
		btnPrev: ".fa_carousel .prev",		
		visible: '. $visible .',
		auto: '. $auto .',
		speed: '. $speed .',
		circular: '. $circular .',
		scroll: '. $scroll_item .',
		vertical: '. $vertical .',
		mouseWheel: '. $mouseWheel .',
		showNavigation: '. $showNavigation .',
		fullWidth: '. $fullWidth .'
	});
});	
');
?>

<?php if(count($items->image)){ ?>
<div class="fa_carousel <?php echo $moduleclass_sfx; ?>">
	<?php if($showNavigation){ ?>
	<a href="#" class="prev">‹</a>
	<?php } ?>
    <div class="carousel" >
        <ul>
		<?php foreach($items->image as  $i => $image){ ?>
            <li>
				<a <?php if($items->url[$i]){ ?>href="<?php echo $items->url[$i]; ?>"<?php } ?>>
					<img class="cr-li-img" alt="<?php echo $items->title[$i]; ?>" src="<?php echo JURI::root().$image; ?>">
				</a>
			</li>
		<?php } ?>	
        </ul>
    </div>
	<?php if($showNavigation){ ?>
	<a href="#" class="next">›</a>
	<?php } ?>
	<div class="clear"></div>
</div>
<?php } ?>